Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 691938 - kde-apps/kdepim-runtime-19.04.3: compactpage.h:25:10: fatal error: ui_compactpage.h: No such file or directory (was: lockmethodpage.h:25:10: fatal error: ui_lockfilepage.h: No such file or directory)
Summary: kde-apps/kdepim-runtime-19.04.3: compactpage.h:25:10: fatal error: ui_compact...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 693726 694914 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-08-11 15:12 UTC by Rutger van Bergen
Modified: 2019-09-19 07:08 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,796.14 KB, application/octet-stream)
2019-08-11 15:12 UTC, Rutger van Bergen
Details
build log on x86 system, with suggested patch applied (build-x86.log,832.67 KB, application/octet-stream)
2019-08-11 22:43 UTC, Rutger van Bergen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rutger van Bergen 2019-08-11 15:12:20 UTC
Created attachment 586554 [details]
build log

Build of kdepim-runtime 19.04.3 fails on missing ui_lockfilepage.h; precise error is in attached build.log. I have seen variations of this error, with the exact .h file that is reported missing differing across multiple runs on 3 separate machines, on x86 and x86_64 architectures.

Contrary to what is mentioned as a workaround for this type of issue in bug #684276, the MAKEOPTS="-j1" workaround does not seem to work on x86 systems, at least.

Emerge --info output:

Portage 2.3.69 (python 3.6.5-final-0, default/linux/amd64/17.0/desktop/plasma/systemd, gcc-8.3.0, glibc-2.29-r2, 4.19.52-gentoo x86_64)
=================================================================
System uname: Linux-4.19.52-gentoo-x86_64-AMD_A6-4455M_APU_with_Radeon-tm-_HD_Graphics-with-gentoo-2.6
KiB Mem:     7614820 total,   1436712 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of repository gentoo: Fri, 09 Aug 2019 14:30:01 +0000
Head commit of repository gentoo: 423a60204629d35f200ff9a1fe6bed13bfb60dc5
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.31.1 p7) 2.31.1
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.14.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r6::gentoo, 2.32-r1::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts:
    sync-rsync-verify-jobs: 1

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="rsync://mirror.leaseweb.com/gentoo/ http://mirror.leaseweb.com/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli crypt cups cxx dbus declarative directfb dri dts dvd dvdr egl emboss encode exif fam fbcon ffmpeg flac fortran gdbm gif glamor gles gles2 gpm gtk iconv icu ipv6 java jpeg kde kipi kwallet lcms ldap libnotify libtirpc mad mng mp3 mp4 mpeg multilib ncurses networkmanager nls nptl offensive ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt5 readline samba sdl seccomp semantic-desktop spell split-usr ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vdpau videos vorbis wayland widgets wxwidgets x264 xattr xcb xcomposite xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="synaptics libinput evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Andreas Sturmlechner gentoo-dev 2019-08-11 16:00:17 UTC
Please try this patch: https://cgit.kde.org/kdepim-runtime.git/commit/?id=4585292dd34f894505f8fc19e2bf51263768d688
Comment 2 Rutger van Bergen 2019-08-11 22:43:53 UTC
Created attachment 586602 [details]
build log on x86 system, with suggested patch applied
Comment 3 Rutger van Bergen 2019-08-11 22:47:14 UTC
Thank you for the patch reference. However, on an x86 system, with it and MAKEOPTS="-j1" applied, the emerge still fails. Build log is attached as build-x86.log, emerge --info output on that system is as follows: 

Portage 2.3.69 (python 3.6.5-final-0, default/linux/x86/17.0/desktop/plasma/systemd, gcc-8.3.0, glibc-2.29-r2, 4.19.57-gentoo i686)
=================================================================
System uname: Linux-4.19.57-gentoo-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.6
KiB Mem:     2058040 total,   1438160 free
KiB Swap:    4194300 total,   4194300 free
Timestamp of repository gentoo: Fri, 09 Aug 2019 15:00:01 +0000
Head commit of repository gentoo: 9a1ff45cf3cfd682fd6aa6ae72a83bb7cae37b60
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p2) 2.32.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.14.6::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts:

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="@FREE"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa berkdb bluetooth branding bzip2 cairo cdda cdr cli crypt cups cxx dbus declarative directfb dri dts dvd dvdr egl emboss encode exif fam fbcon ffmpeg flac fortran gdbm gif glamor gles gles2 gpm gtk iconv icu ipv6 java jpeg kde kipi kwallet lcms ldap libnotify libtirpc mad mng mp3 mp4 mpeg ncurses networkmanager nls nptl offensive ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt5 readline samba sdl seccomp semantic-desktop spell split-usr ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb user-session vdpau videos vorbis wayland widgets wxwidgets x264 x86 xattr xcb xcomposite xml xv xvid zlib" ABI_X86="32" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Larry the Git Cow gentoo-dev 2019-08-14 08:47:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f23e06f706f5af1a23a0616588bda96e005f6dc0

commit f23e06f706f5af1a23a0616588bda96e005f6dc0
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-08-14 08:45:38 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-08-14 08:47:09 +0000

    kde-apps/kdepim-runtime: Add another upstream race condition fix
    
    It still may not be enough, but let's add it anyway.
    
    Bug: https://bugs.gentoo.org/691938
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 ...me-19.04.3-ui_lockfilepage-race-condition.patch | 27 ++++++++++++++++++++++
 .../kdepim-runtime/kdepim-runtime-19.04.3.ebuild   |  2 ++
 2 files changed, 29 insertions(+)
Comment 5 Andreas Sturmlechner gentoo-dev 2019-08-14 09:07:35 UTC
I've added the recent fix in 19.08.0 anyway to 19.04.3, so you should drop your local user patch.
Comment 6 Rutger van Bergen 2019-08-14 19:51:39 UTC
I truly am sorry for being a little slow in understanding, but is your request to do or try anything beyond removing the user patch (which I now have)? More specifically, should I try the emerge again after having done so?
Comment 7 Andreas Sturmlechner gentoo-dev 2019-08-14 19:52:27 UTC
Yes please, just to be sure. Upstream and me too can not reproduce the problem.
Comment 8 Rutger van Bergen 2019-08-15 15:15:13 UTC
The problem remains on the (only) x86 system in my collection. That also means that the patch that was provided in comment 2 *did* fix the problem on the amd64 systems that originally also experienced the problem.
Comment 9 Giuseppe Vitillaro 2019-08-23 09:01:49 UTC
Same problem, at exactly the same step of the build.log (387/745), on an x86 system, without distcc, "make -j1 -l1". It looks completely deterministic (reproduced twice) on my system, emerging kdepim-runtime 19.04.3 with " kdepim-runtime-19.04.3-ui_lockfilepage-race-condition.patch".

I have still to try under an amd64 system.
Comment 10 Giuseppe Vitillaro 2019-08-23 10:57:57 UTC
Weird, I was emerging, for a failure on a previous emerge, with "-j1 -l1" and "nodistcc" by default, drived from my package.env file.

I enabled back my default in /etc/portage/make.conf:

MAKEOPTS="-j29 -l2"
FEATURES="buildpkg -network-sandbox -preserve-libs distcc"

and now kde-apps/kdepim-runtime-19.04.3::gentoo emerge without a glitch.
Comment 11 Rutger van Bergen 2019-08-25 05:50:43 UTC
I just retried emerging with -j3 instead of -j1, without the user patch. Emerge failed in the same manner as before.
Comment 12 Andreas Sturmlechner gentoo-dev 2019-09-08 16:08:19 UTC
*** Bug 693726 has been marked as a duplicate of this bug. ***
Comment 13 Andreas Sturmlechner gentoo-dev 2019-09-19 07:08:25 UTC
*** Bug 694914 has been marked as a duplicate of this bug. ***